<?php
/*
  Name: Price comparison (short)
 */
__('Price comparison (short)', 'affegg-tpl');

use Keywordrush\AffiliateEgg\TemplateHelper;
?>

<?php $this->enqueueStyle(); ?>

<div class="egg-container">
    <div class="container-fluid">
        <div class="col-md-5">
            <?php if ($items[0]['img']): ?>
                <img class="img-responsive" src="<?php echo esc_attr($items[0]['img']) ?>" alt="<?php echo esc_attr($items[0]['title']); ?>" />
            <?php endif; ?>
        </div>
        <div class="col-md-7">
            <h2 class="cegg-no-top-margin"><?php echo esc_html($items[0]['title']); ?><?php if ($items[0]['manufacturer']): ?>, <?php echo esc_html($items[0]['manufacturer']); ?><?php endif; ?></h2>
            <?php
            // sort items by price
            usort($items, function($a, $b) {
                if (!$a['price_raw'])
                    return 1;
                if (!$b['price_raw'])
                    return -1;
                return $a['price_raw'] - $b['price_raw'];
            });
            ?>
            <?php foreach ($items as $key => $item): ?>
                <div class="row cegg-no-margin">
                    <div class="col-md-5">
                        <a rel="nofollow" target="_blank" href="<?php echo esc_url($item['url']) ?>"<?php echo $item['ga_event'] ?>><img src="<?php echo esc_attr(TemplateHelper::getMerhantIconUrl($item, false)); ?>" /> <?php echo $item['domain']; ?></a>
                    </div>
                    <div class="col-md-4">
                        <?php if ($item['price']): ?>
                            <span class="cegg-price"><?php echo TemplateHelper::formatPriceCurrency($item['price_raw'], $item['currency_code']); ?></span>
                        <?php endif; ?>
                        <br><small><?php if (!$item['in_stock']): ?><?php _e('out of stock', 'affegg-tpl'); ?><?php endif; ?></small>
                    </div>
                    <div class="col-md-3"> 
                        <a rel="nofollow" target="_blank" href="<?php echo esc_url($item['url']) ?>" class="btn btn-success"<?= $item['ga_event'] ?>><?php _e('Buy now', 'affegg-tpl'); ?></a>
                    </div>
                    <hr>
                </div>
            <?php endforeach; ?>           
        </div>
    </div>
</div>